# Poco::Net

# class HostNotFoundException

Library: Net
Package: NetCore
Header: Poco/Net/NetException.h

## Inheritance

Direct Base Classes: DNSException

All Base Classes: Poco::Exception, Poco::IOException, DNSException, NetException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### HostNotFoundException

HostNotFoundException(
int code = 0
);

### HostNotFoundException

HostNotFoundException(
const HostNotFoundException & exc
);

### HostNotFoundException

HostNotFoundException(
const std::string & msg,
int code = 0
);

### HostNotFoundException

HostNotFoundException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### HostNotFoundException

HostNotFoundException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~HostNotFoundException

~HostNotFoundException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Net::DNSException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Net::DNSException::name()

### operator =

HostNotFoundException & operator = (
const HostNotFoundException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::DNSException::rethrow()